commit 4f780c09d2ab95bd9562ebe307a01043933adcd9
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Nov 10 14:37:23 2023 +0000

    fix doubled logging of message_id

diff --git a/src/src/receive.c b/src/src/receive.c
index 8190c5941..041898a6b 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -3380,8 +3380,8 @@ if (extract_recip && (bad_addresses || recipients_count == 0))
       }
     }
 
-  log_write(0, LOG_MAIN|LOG_PANIC, "%s %s found in headers",
-    message_id, bad_addresses ? "bad addresses" : "no recipients");
+  log_write(0, LOG_MAIN|LOG_PANIC, "%s found in headers",
+    bad_addresses ? "bad addresses" : "no recipients");
 
   fseek(spool_data_file, (long int)spool_data_start_offset(message_id), SEEK_SET);
 

